@echo -off

set BIOSROM P7xxDM3.BIN
set BIOSROM2 P7xxDM3.rom

if '%1' == '' then
 goto flash
endif

set BIOSROM %1

:flash
# Check the file exist or not.
if not exist %BIOSROM% then
 echo The %BIOSROM% doesn't exist.
 goto end
endif

fpt -f %BIOSROM% -l 0x200000 -y

# update SBIOS
afuefix64 %BIOSROM2% /p /b /n /R
#FLASH.NSH
# shutdown system
afuefix64 /s /shutdown

